Bug 547866 - Tuxtype2 broken: can not select any difficulty - wordlist problem
Summary: Tuxtype2 broken: can not select any difficulty - wordlist problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tuxtype2
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 20:41 UTC by Marian Csontos
Modified: 2010-01-21 00:14 UTC (History)
2 users (show)

Fixed In Version: 1.8.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-21 00:05:07 UTC


Attachments (Terms of Use)
Terminal output of 'tuxtype -w -d' (119.07 KB, text/plain)
2009-12-15 20:42 UTC, Marian Csontos
no flags Details

Description Marian Csontos 2009-12-15 20:41:31 UTC
Description of problem:

when runnig tuxtype and selecting Fish Cascade (or Comet Zap) the difficulty menu is presented, but none could be selected.

It says "chooseWordist() - data path contains no wordlist dir" on terminal.

Version-Release number of selected component (if applicable):

tuxtype2-1.8.0-1.fc11.x86_64.

How reproducible:

100%

Steps to Reproduce:
1. run tuxtype
2. select Fish Cascade
3. select Easy
  
Actual results:

Nothing happens. The game is not playable, resulting in crying child at home - urgent issue ;-)

Expected results:

Difficulty meny should appear, boy would finish Fish cascade and then go to bed.

Additional info:

terminal output of "tuxtype -w -d" attached.
Tested on 2 machines.
Both machines are up to date.

After creating /var/tuxtype/words directory it works as expected. :-)

*Hapy End*

Comment 1 Marian Csontos 2009-12-15 20:42:34 UTC
Created attachment 378625 [details]
Terminal output of 'tuxtype -w -d'

Comment 2 Johan Cwiklinski 2009-12-16 17:52:05 UTC
Hello,
Thanks for this report.

I've contacted upstream devel mailing list to resolve this issue:
http://lists.alioth.debian.org/pipermail/tux4kids-tuxtype-dev/2009-December/000619.html

I'm lookink to solve this. Any advice, suggestion or patch will be welcome :)

Comment 3 Marian Csontos 2009-12-16 18:03:29 UTC
Hi, actually I thought that might be a spec file problem, as it is RPM who is creating the dirs.

IMHO it is an inappropriate behavior to fail when one of directories is missing, thus reporting to upstream is fine. Thanks!

-- Marian

Comment 4 Johan Cwiklinski 2010-01-09 08:15:56 UTC
Sorry for the delay, a corrective version is coming very soon...

Just setting correct paths solved the issue. 
Words lists are now set to /var/games/tuxtype. 

The fail behavior has been fixed upstream and will be included in the next release.

Comment 5 Marian Csontos 2010-01-11 08:52:24 UTC
Big Thanks! tuxtype2-1.8.0-2 from koji solves the issue.

Comment 6 Fedora Update System 2010-01-12 23:23:14 UTC
tuxtype2-1.8.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxtype2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0462

Comment 7 Fedora Update System 2010-01-12 23:44:05 UTC
tuxtype2-1.8.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuxtype2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0476

Comment 8 Fedora Update System 2010-01-21 00:05:02 UTC
tuxtype2-1.8.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-21 00:14:50 UTC
tuxtype2-1.8.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.